$Title  A Simple Market Model (LP-Formulation)
SETS
       	i   power plants      / plant_01, plant_02 /
       	j   regions markets   / reg_01, reg_02, reg_03 / ;
PARAMETERS

	a(i)  	capacity of plant i in cases
         /  	plant_01  	350
             	plant_02	600  /

       	b(j)  	demand at market j in cases
         /      reg_01      	325
                reg_02		300
                reg_03		275  / ;

TABLE 	d(i,j)	distance in thousands of miles

			reg_01		reg_02		reg_03
      plant_01		2.5		1.7  		1.8
      plant_02		2.5		1.8 		1.4  ;

SCALAR 	f	transmission costs scalar per thousand miles /90/ ;

PARAMETER c(i,j)  transmission cost in thousands of dollars link ;

c(i,j) = f * d(i,j) / 1000 ;

VARIABLES
       x(i,j)  transmission of electricity from plant to region
       z       total transmission costs  ;
POSITIVE VARIABLE x ;

EQUATIONS
       cost 		        define objective function 
       supply(i)		observe supply limit at plant i
       demand(j)		satisfy demand at market j ;

cost..        z  =e=  sum((i,j), c(i,j)*x(i,j)) ;

supply(i)..   sum(j, x(i,j))  =l=  a(i) ;

demand(j)..   sum(i, x(i,j))  =g=  b(j) ;

MODEL transmission /all/ ;
SOLVE transmission using lp minimizing z ;

DISPLAY x.l, x.m ;
